--- xml/htdocs/proj/en/glep/glep-0061.html 2008/10/28 07:47:52 1.3 +++ xml/htdocs/proj/en/glep/glep-0061.html 2010/01/13 03:28:33 1.4 @@ -4,7 +4,7 @@ - + GLEP 61 -- Manifest2 compression @@ -27,9 +27,9 @@ Title:Manifest2 compression -Version:1.2 +Version:1.4 -Last-Modified:2008/10/28 07:45:56 +Last-Modified:2010/01/13 03:26:53 Author:Robin Hugh Johnson <robbat2 at gentoo.org> @@ -43,11 +43,11 @@ Created:July 2008 -Updated:October 2008 +Updated:October 2008, January 2010 Updates:44 -Post-History: +Post-History:December 2009 @@ -82,7 +82,7 @@ exist, the package manager should search in the same location using common compressed suffixes, and use the compressed file in place of the Manifest2.

-

gzip, bzip2, lzma should all be supported if available on the given +

gzip, bzip2, lzma, xz should all be supported if available on the given platform. In the case that multiple versions exist, the package manager should simply pick one - they should be identical, differing only in compression.

@@ -102,7 +102,7 @@ do not have an backwards compatibility issues.

As a side note, this breaks all manual interaction with Manifests such as grep, and so should only be applied to large Manifest2 files, -such as the MetaManifest. 384KiB is suggested as a arbitary cut-off +such as the MetaManifest. 384KiB is suggested as a arbitrary cut-off point to start generating compressed Manifest2 files.

@@ -117,7 +117,7 @@